# OpenLayers.Control.KeyboardDefaults

The KeyboardDefaults control adds panning and zooming functions, controlled with the keyboard. By default arrow keys pan, +/- keys zoom & Page Up/Page Down/Home/End scroll by three quarters of a page.

This control has no visible appearance.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.KeyboardDefaults | The KeyboardDefaults control adds panning and zooming functions, controlled with the keyboard.
Properties |
autoActivate | {Boolean} Activate the control when it is added to a map.
slideFactor | Pixels to slide by.
observeElement | {DOMelement|String} The DOM element to handle keys for.
Constructor |
OpenLayers.Control.KeyboardDefaults |

### Properties

### autoActivate

{Boolean} Activate the control when it is added to a map. Default is true.

### slideFactor

Pixels to slide by.

### observeElement

{DOMelement|String} The DOM element to handle keys for. You can use the map div here, to have the navigation keys work when the map div has the focus. If undefined the document is used.

### Constructor

### OpenLayers.Control.KeyboardDefaults

Controls affect the display or behavior of the map.
Close